%Basic model for reactive distillation column for biodiesel production
%By Emilie ritsland Houge
%clc, clear all, close all
format long

%% Feed flows
%     metOH/TG/DG/MG/GL/BD
F = [300 50 0 0 0 0];      % Feed flowrates [kmol/h]
F_new = [286.36 63.64 0 0 0 0];  % Disturbance in feed [kmol/h]
F0 = sum(F);               % Total feed flowrate[kmol/h]
x_in = F/F0;               % Molar fractions
x_new = F_new/F0;          % Disturbance molar fractions [kmol/h]
Mw = [32.0 879.3844 616.95 354.52 92.094 294.47]'; %Molecular weights [kg/kmol]

%% Distillation data
Ntrays = 20;        %Number of trays
Ntrays_react = 3;   %Number of reactive trays
NC = 6;             %Number of compounds    
D = 140.05;         %Distillate [kmol/h]
Vb = 430;           %Vapour boil up [kmol/h]
B = 209.95;         %Bottoms, [kmol/h]
Ref = 3;            %Reflux ratio
Con_set = 25;       %Holdup condenser [kmol]
Reb_set = 25;       %Holdup reboiler [kmol]


%% Simulation
t0 = 0;     %[h]
tfin = 20;  %[h]

tic
sim('reactivedistillation_sfcn2')
toc

